// @flow

import * as _android from './android'
import * as _ios from './ios'
import * as _mustacheUtils from './mustacheUtils'
import _ColoredLog from './coloredLog'
import _config from './config'
import _ReactNativeCli from './ReactNativeCli'
import _required from './required'
import _spin from './spin'
import _tagOneLine from './tagoneline'
import _Dependency from './Dependency'
import _NativeApplicationDescriptor from './NativeApplicationDescriptor'
import _Utils from './utils'
import _DependencyPath from './DependencyPath'
import * as _fileUtils from './fileUtil'
import _YarnCli from './YarnCli'
import _shell from './shell'
import * as _childProcess from './childProcess'
import _gitCli from './gitCli'
import _CodePushSdk from './CodePushSdk'
import * as _deviceConfig from './deviceConfig'
import * as _promptUtils from './promptUtils'

export const android = _android
export const ios = _ios
export const ColoredLog = _ColoredLog
export const config = _config
export const ReactNativeCli = _ReactNativeCli
export const required = _required
export const spin = _spin
export const tagOneLine = _tagOneLine
export const Dependency = _Dependency
export const NativeApplicationDescriptor = _NativeApplicationDescriptor
export const Utils = _Utils
export const DependencyPath = _DependencyPath
export const mustacheUtils = _mustacheUtils
export const fileUtils = _fileUtils
export const YarnCli = _YarnCli
export const shell = _shell
export const childProcess = _childProcess
export const gitCli = _gitCli
export const CodePushSdk = _CodePushSdk
export const deviceConfig = _deviceConfig
export const promptUtils = _promptUtils

export default ({
  android: _android,
  ios: _ios,
  ColoredLog: _ColoredLog,
  config: _config,
  ReactNativeCli: _ReactNativeCli,
  required: _required,
  spin: _spin,
  tagOneLine: _tagOneLine,
  Dependency: _Dependency,
  NativeApplicationDescriptor: _NativeApplicationDescriptor,
  Utils: _Utils,
  DependencyPath: _DependencyPath,
  mustacheUtils: _mustacheUtils,
  fileUtils: _fileUtils,
  YarnCli: _YarnCli,
  shell: _shell,
  childProcess: _childProcess,
  gitCli: _gitCli,
  CodePushSdk: _CodePushSdk,
  deviceConfig: _deviceConfig,
  promptUtils: _promptUtils
})

export type {
  CodePushPackageInfo,
  CodePushPackage
} from './CodePushSdk'
